<!DOCTYPE html>
<html>

<head>
    <title>LCM</title>
    <style>
        .main{
            margin-top: 10%;
            width: 50%;
            height: 400px;
            background-color:cadetblue;
            border: 3px solid black;
            border-radius: 10px;
        }
        #input1,#input2{
            width: 50%;
            height:50px;
            margin-top: 20px;
            border:2px solid black;
            border-radius: 5px;
            font-size: 20px;
            text-align: center;
            font-family: sans-serif;
        }
        body{
            background-color: darkcyan;
        }
        #check{
            width: 20%;
            height: 30px;
            background-color: darkgreen;
            color: aliceblue;
            border: 2px solid black;
            font-size: 15px;

        }
        p{
            padding: 60px;
            font-family: sans-serif;
            font-size: 25px;
        }

    </style>
</head>

<body>
    <center>
        <div class="main">
            <input type="text" id="input1" placeholder="Enter first number" required><br><br>
            <input type="text" id="input2" placeholder="Enter second number" required><br><br>
            <input type="button" id="check" value="Check" onclick="validate()">
            <p id="result"></p>
        </div>
    </center>
    <script>
        function validate() {
            let num1 = document.getElementById("input1").value;
            let num2 = document.getElementById("input2").value;
            let min=(num1>num2) ? num1 :num2;
            console.log(min)
            while(true)
            {
                if(min%num1==0 && min%num2==0)
                {
                    document.getElementById("result").innerHTML=`LCM of ${num1} and ${num2} is ${min}`;
                    
                    break;
                }
                min++;
            }
            
        }
    </script>
</body>

</html>